Name:          vpnc
Version:       0.5.3
Release:       3mamba
Summary:       Client for Cisco VPN concentrator
Group:         Network/Security
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.unix-ag.uni-kl.de/~massar/vpnc/
Source:        http://www.unix-ag.uni-kl.de/~massar/vpnc/vpnc-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END

%description
vpnc is a client for Cisco VPN concentrator. It is supposed to work with:

* Cisco VPN concentrator 3000 Series
* Cisco IOS routers
* Cisco PIX / ASA Zecurity Appliances
* Juniper/Netscreen

Supported Authentications: Hybrid, Pre-Shared-Key + XAUTH, Pre-Shared-Key
Supported IKE DH-Groups: dh1 dh2 dh5
Supported Hash Algo (IKE/IPSEC): md5 sha1
Supported Encryptions (IKE/IPSEC): (null) (1des) 3des aes128 aes192 aes256
Perfect Forward Secrecy: nopfs dh1 dh2 dh5

%prep
%setup -q

%build
%make PREFIX=%{_prefix}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall PREFIX=%{_prefix}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/vpnc
%config(noreplace) %{_sysconfdir}/vpnc/default.conf
%{_sysconfdir}/vpnc/vpnc-script
%{_bindir}/cisco-decrypt
%{_bindir}/pcf2vpnc
%{_sbindir}/vpnc
%{_sbindir}/vpnc-disconnect
%{_docdir}/vpnc/COPYING
%{_mandir}/man1/cisco-decrypt.1*
%{_mandir}/man1/pcf2vpnc.1*
%{_mandir}/man8/vpnc.8*
%doc COPYING ChangeLog README TODO

%changelog
* Thu Oct 26 2023 Automatic Build System <autodist@mambasoft.it> 0.5.3-3mamba
- automatic rebuild by autodist

* Thu Oct 26 2023 Automatic Build System <autodist@mambasoft.it> 0.5.3-2mamba
- automatic rebuild by autodist

* Wed Jun 15 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.3-1mamba
- package created by autospec
